Welcome

Welcome to ShowMaker

Slash time and have fun developing slide shows & photo albums - ready to run stand-alone from a disk or display on the Internet.

If you have any comments or questions please contact dmagic. We listen very carefully to any idea for improvement.

If you have created a slide show you would like having linked to on the ShowMaker Demo page on the www, then please send a request together with an URL and a title of the slide show, and maybe a description of the purpose.

Enjoy using ShowMaker!

ShowMaker is distributed as shareware.

© 1999 dmagic Software Development


Introduction

What is ShowMaker?

With ShowMaker you can create professional slide shows / photo albums (thumbnailed menus) in an easy and user-friendly manner.

ShowMaker is also a very powerful image browser and a batch graphic format converter, which can also find a 'super palette' for many pictures.

ShowMaker handles graphic conversion, colour reduction and file layout. When you use ShowMaker you don't need to bother with technical details. When you have set up your slide show you can output it as a stand-alone slide show on e.g. a CD-ROM or as web pages containing the slide show - within a few clicks.

ShowMaker includes a very high quality stand-alone viewer for your slide shows.

ShowMaker can also be used as a image browser.

Concepts

The following concepts are important for understanding ShowMaker and the way it works.

Slide Show / Project

The slide show project in ShowMaker holds a number of slides (images, menus, etc.) and some settings for the slide show.

Slide

A slide show is made up of slides. A slide is one step in a slide show. The slides can be e.g. an image file displayed.

Thumbnail

A thumbnail in ShowMaker is a tiny visual representation of an image file, a slide, a menu and a number of other things that can be a slide in a slide show. If a file is associated with the thumbnail, the thumbnail works as a short-cut / link to that file. Note: a Complex Slide is a file in itself but it can internally link to other files.

Output / Result

Before a slide show project becomes a 'real' stand-alone slide show it must be output / compiled. The result of this compilation is also a slide show but it has been processed in a number of ways and is ready for distribution.

Overview

Main Application

ShowMaker is a normal Window application with a main menu.

File Menu

The File menu allows you to handle the creation and storing of slide show project. You can also set your preferences.

Project Menu

The Project menu is only visible after a slide show project has been created. It contains actions specific to a slide show project, like adding thumbnails or setting project options.

Thumbnail Menu

Via the Thumbnail menu you have access to a number of actions you can perform on a single thumbnail. The actual actions visible when standing on a specific thumbnail will depend on the type of that thumbnail.

Folder Tree

At the left side of the screen you will see a tree with folders - use it to select a folder for the files window.

Files Window

At the right side of the screen there is a tab with the Files window which displays the thumbnails in the selected folder.

Repository Window

As a tab beneath the files tab you will find the repository. Here you can store a copy of an edited thumbnail from a slide show. You will then be able to easily use it again in another slide show. You can also use it to hold your favorite files.

Slide Show Window

Displays a visual representation of the slide show at the button of the screen. To make this visible you must have an open slideshow (Try "File | New Project".)


Thumbnails

The functionality associated with a slide are reached through the thumbnail either via the popup menu on the thumbnail or through the Thumbnail menu.

Thumbnail Types

There are 4 types of thumbnails:

  • Image link thumbnail (display almost any kind of image)
  • Music link thumbnail (plays MIDI music files)
  • Menu slide thumbnail (auto-creates a menu in the slide show)
  • Complex slide thumbnail. Can contain any number of image and text objects

Image Thumbnails

An image thumbnail can display all of these format types:

  • BMP
  • GIF
  • JPEG
  • DIB
  • PBM Portable Bitmap
  • PCX Paintbrush
  • PGM Portable Graymap
  • PNG Portable Network Graphics
  • PPM Portable Pixelmap
  • RLE Bitmap Windows RLE
  • TGA Truevision Targa
  • TIFF Tagged Image File Format

Music Thumbnails

You can play it with the "View/Play" menu command and stop playing with "Tools | Stop Playing".

Note: Music thumbnails are not output if you generate a HTML slide show for the Internet.

Menu Thumbnails

When you want a thumbnailed menu in your slide show you just add a menu thumbnail to it. All image thumbnails between the menu thumbnail and the end of the slide show or until the next menu thumbnail, are included in the menu when you output the slideshow.

Complex Slides

When an image slide is transformed to a complex slide, you can add more images and add texts on top of the original image ("Functions | Selected thumbnail | Edit"). Thumbnail menus and image slides can be transformed to a complex slide ("Functions | Selected thumbnail | Transform to Complex Slide"). When a menu is transformed, the thumbnails in it is made static, meaning that if you add new slides after the original menu slide, they will not show up in the menu. You should do this only when your slideshow is almost finished, if you want to make some final touch on the individual elements in the menu. When you add a new Complex Slide, the editor for complex slides is invoked.

Working with Thumbnails

If you select a thumbnail, then you can do a number of things with it. If you choose the "Project" menu, then you can add the thumbnail to the slide show, at the current position or you can just drag it into the slide show window on top of one of the arrows.

You can also use the popup menu to access thumbnail specific functions. Here you will also find all other features applicable on either one or more selected thumbnails. You can change what thumbnail is the current by tabbing into the slideshow window, and then by using the arrow-keys, pick on a thumbnail or alternatively by clicking on it with the mouse.

You can view a thumbnail by double clicking it or with the "View" command in the popup menu.

You can set specific properties on the thumbnail via "Thumbnail | Properties"

Symbols Associated with Thumbnails

On each thumbnail certain symbols can appear depending on different conditions. If a "1:1" symbol appears, it means that the thumbnail is size 1 to 1 - this means that is has the same size as the graphic it represents. An arrow in the right side of the thumbnail indicates that the file, represented by the thumbnail, is a shortcut. This in effect means that if you delete the thumbnail, the file itself is not deleted. An arrow with a slightly different picture can also appear in the left side of the thumbnail. This shows that the thumbnail is found in a subdirectory (folder) and is only possible with the "Show Sub Folders" option turned on.

Editing Slides

You can edit some slides by choosing "Thumbnail | Edit". For simple file referencing thumbnails this just starts the associated program for that file type.

If the thumbnail is a "Complex Slide" the "Complex Slide Editor" is started.

The Complex Slide Editor

In this editor can compose a slide from various elements.

You can add images and add texts on top of the background picture. You can also set detailed properties for added elements and the background, and more.


Slide Show Projects

The slide show mainly links together a number of files used in the slide show - it does not include the files. This also shows as the thumbnails in the slide show representing files are displayed as shortcuts / links.

Creating Slide Shows, etc.

To create a new slide show, choose "File | New Slide Show Project". When a slide show is created (or loaded) the slide show window shows up at the bottom section of the screen. You can also open and save slide shows using the "File" menu or just use it to close an open slide show to free up desktop space.

Editing Slide Shows

Adding, inserting & deleting slides

Use the "Tools" menu, the popupmenu or the "Insert" key. (When using the "Tool" menu a specific thumbnail have to be selected.)

Add a "complex slide" using the menu "Project | Insert 'complex slide' ".

Moving & dragging

You can also add a thumbnail by dragging it from the browser window onto an arrow in the slideshow window. Thumbnails can be moved to another position in the slideshow, by dragging them to another position and then dropping them on an arrow.

Setting slideshow options

Various slideshow options can be adjusted in the Slideshow options dialog found under the "Tools" menu.

Use "Project | Run" to see the current slide show immediately.

Deploying slide shows for stand-alone use

Before you can view a slide show made with ShowMaker without the editor running, you must output the slide show using "Project | Output".

A wizard dialog box will then show up, helping you through the process. First you must pick an output media type. After this certain screen-elements is enabled/disabled to reflect the current possible options available. (E.g. like BMP format is no option for the Internet). Follow the instruction located at the button of the dialog. The destination you choose for the output is a temporary destination. After generating the output, you should move the files to their 'real' destination, like to an Internet server.

The Slide Show Replayer

When you outout a slide show for disk or CD-ROM use it will include the stand alone replayer. You can start the slide show by executing the viewer "Start.exe" just like any other exe file. Note: it will not start while ShowMaker is not running, if you have output the slide show with an unregistered version of ShowMaker.

If the host computer is running in only 256 colours, then the screen is cleared between each slide. If there's more colours, then slide is wiped on top on the previous slide.

If a slide's size is larger than the actual screen size, then the slide is no longer centered, but shown from the top left corner and one or two scrollbars shows up. This is only true for non-imagetype slides.

If you click while a slide is wiping, it finishes the wipe immediately.

If you click in the topmost corner one of two things will happen. If you jumped in from a menu, then you'll return to the menu. If you have not jumped in from a menu, then it will quit the viewer.

After the last slide an 'outro' screen is shown. Here's it's still possible to jump back to the last slide. If you do nothing the viewer will quit after a few seconds.


How to work with ...

Browsing

In the folder tree you can select a folder to view contents from (like with the Windows Explorer). When a folder is selected, then thumbnails representing the files are generated in the Files window. You do not have to wait until all thumbnails shows up or thumbnail images are generated, you can immediately select another folder to view. This is a possible thanks to ShowMaker's multitasking capabilities. Further more you can view the thumbnails while the thumbnail icons in the files window are being generated/updated. While the viewer is active, ShowMaker still continues to generate thumbnails behind the scenes.

The thumbnail images are saved to disk, so those thumbnails already generated shows up very fast thereafter. If you edit the original picture, ShowMaker sees this and generates a new thumbnail image.

Outputting / 'compiling' slide shows

The output windows is key to the ShowMaker application. It is used to generate output in the form of e.g. a stand-alone show ready for CD-ROM or html pages for the Internet. In the screen various settings for the output can be specified. When the processing should start you press the [Go] button. To close the dialog with the setting you have changed saved, press [Close]. To close it and return to 'old' settings press cancel. When a stand-alone slide show has been output you can test the output immediately with [Test Result]. The Output window can also be used as a batch image converter/processor or just to move files.

The first step in preparing your output is specifying what kind of output you want with the "Output Type" picker. The files generated has to be stored somewhere and you must also specify a location in the Destination field for this. A number of other options can be set but not necessarily - default values has been chosen for all remaining settings. Note that the tabs you'll see will depend on the kind of output you have chosen.

Controlling Menu Thumbnail Layout

I association with making a menu a more specialized html layout can be used. You can via a template in HTML format control the detailed layout of a single item in the menu. Each of these is placed in a cell of the html table arranging the thumbnails into a grid. The default templates are found in the folder "MenuThumbsLayoutTemplates". This folder can be found together with the "dmagic/ShowMaker" folder in "Program Files" folder. You can add new templates by just copying new html files to this folder. In the html file you can place certain control tags. These are during generation replaced with contents from the actual thumbnail. For example "Description" from the thumbnail. Here's a list of valid tags and their meaning:

  • %TotalWidth: the space available for the thumbnail area all together (text, images, etc.)
  • %ImageWidth, %ImageHeight: the actual image dimensions in pixels
  • %Description: the description extracted from the thumbnail
  • %Label: the label extracted from the thumbnail
  • %ImageURL: the filename for the image
  • %Link: the address of the referenced image
  • %AlternateText: the text specified in the output dialog

Repository

To add a thumbnail to the repository simple drag it from the slide show or use the "Add to Repository" command from the popup menu on a thumbnail. To delete it again use the popup menu on the thumbnail in the repository.


How to do different stuff?

Browse around

  1. Click a folder with some images in, in the folder tree
  2. In the Files window the thumbnails will then pop up
  3. To view an image in more detail you double click it
  4. In the menu chose "View | Next / Previous" to go to the next or previous image thumbnail. When you want to return to the browser view/ editor, you just click the current image

Convert multiple pictures to one super palette

  1. Create a slide show
  2. Add all the pictures you want to convert to the slide show
  3. Click the menu "Project | Output"
  4. In the Output dialog choose "Just colour reduction/graphic conversion"
  5. Choose "Find super palette"
  6. Press [Go]


Other Features

Controlling screen-elements

You can control independently the visibility of various screen elements in the "View" menu.

Change Windows Wall paper

In the browserwindow, you can select an image thumbnail and then, by choosing the "Tools | Set selected as Windows wallpaper", set it as the Windows wallpaper. Your desktop background will then change to the new picture. If you want to change centring or tiling, then you must use the Windows Control Panel (choose Display - Background.)

Icons

While adding thumbnails, icons will show until the real graphics is loaded. In the Preferences dialog you can choose Windows icons or not. The last is faster.


Address of dmagic Software Development

dmagic can be contacted on the following address:

Web: www.dmagic.dk
E-mail: mail@dmagic.dk
Tel: (+45) 86 51 14 79
Post: Parkvej 7 B, DK-8660 Skanderborg (Denmark)

E-mail is the preferred way of contacting us - remember that your registration entitles you to unlimited support via e-mail.